commit:     193814c4b7af64b4c1c1ae002621229bce6e4427
Author:     Azamat H. Hackimov <azamat.hackimov <AT> gmail <DOT> com>
AuthorDate: Fri Sep 25 15:00:59 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Mar  5 18:01:03 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=193814c4

games-arcade/tecnoballz: update to 0.93.1

Fix media-libs/libsdl[joystick] dependency (#733772).
Closes: https://bugs.gentoo.org/733772
Closes: https://bugs.gentoo.org/739112
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Azamat H. Hackimov <azamat.hackimov <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 games-arcade/tecnoballz/Manifest                 |  1 +
 games-arcade/tecnoballz/metadata.xml             |  3 ++
 games-arcade/tecnoballz/tecnoballz-0.93.1.ebuild | 35 ++++++++++++++++++++++++
 3 files changed, 39 insertions(+)

diff --git a/games-arcade/tecnoballz/Manifest b/games-arcade/tecnoballz/Manifest
index a80e1259bab..48baeab5110 100644
--- a/games-arcade/tecnoballz/Manifest
+++ b/games-arcade/tecnoballz/Manifest
@@ -1 +1,2 @@
 DIST tecnoballz-0.92.tgz 2763879 BLAKE2B 
a9414c402781e9d65da5e3c0cfe4815fd80978ff874fa245237baca960278c85ba33ff2a59debf0cd6547d75e20f39afc058bd1204405ecef27d62bb8bdfdbb7
 SHA512 
e3868e846cdebaed6ee78050560be86557c6d01ee6512375a09eccbcf70f0cd12e419c6997a348794a41dfb75f0f3cb70321f1bb9a9bf1156a90976b0e401e13
+DIST tecnoballz-0.93.1.tar.gz 1989092 BLAKE2B 
b623a11b9cbb599af85cd8a8cae712dc6403cc0e406f0ecee00f92e571a94db9ea3b8446d3abf9e6992fcb680775ea5e83cb5c58b563c71ddf83c6a969ac4e69
 SHA512 
5ccbff786398b191f56809180e7309a1e183852f69f51c1797e9e5db5e7ef04d8daa37940c31c2d5ab6911974d140da5d88d81d668122a0ffc37938ef856702b

diff --git a/games-arcade/tecnoballz/metadata.xml 
b/games-arcade/tecnoballz/metadata.xml
index 5dbd2510d79..0fac8698898 100644
--- a/games-arcade/tecnoballz/metadata.xml
+++ b/games-arcade/tecnoballz/metadata.xml
@@ -12,4 +12,7 @@ attack weapons with an enormous power of fire that can be 
build by gaining
 bonuses. Numerous decors, musics and sounds complete this great game. This
 game was ported from the Commodore Amiga.
 </longdescription>
+<upstream>
+       <remote-id type="github">brunonymous/tecnoballz</remote-id>
+</upstream>
 </pkgmetadata>

diff --git a/games-arcade/tecnoballz/tecnoballz-0.93.1.ebuild 
b/games-arcade/tecnoballz/tecnoballz-0.93.1.ebuild
new file mode 100644
index 00000000000..129dbb32ecb
--- /dev/null
+++ b/games-arcade/tecnoballz/tecnoballz-0.93.1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools desktop
+
+DESCRIPTION="An exciting Brick Breaker"
+HOMEPAGE="http://linux.tlk.fr/games/TecnoballZ/";
+SRC_URI="https://github.com/brunonymous/tecnoballz/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+       dev-libs/tinyxml
+       media-libs/libsdl[joystick]
+       media-libs/sdl-mixer[mikmod]
+       media-libs/sdl-image[png]
+       media-libs/libmikmod:0"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       default
+       mkdir man/fr || die
+       mv man/${PN}.fr.6 man/fr/${PN}.6 || die
+       sed -i -e 's:\$(prefix)/games:\$(prefix)/bin:' src/Makefile.am || die
+       sed -i -e '/CXXFLAGS=/d' -e '/^else/d' configure.ac || die
+       eautoreconf
+}
+
+src_install() {
+       default
+       make_desktop_entry ${PN} Tecnoballz
+}

Reply via email to